## libgnu-regexp-java 1.1.4

=== src/Makefile ===
#
# Makefile for gnu.regexp for use with GNU make
# Copyright (C) 1998-2001 Wes Biggs
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

# It's not strictly necessary to use this file -- most of what it does
# you can do by running 'javac gnu/regexp/*.java'.  However, it does allow
# convenient building of the following targets:
#
# make (no args): builds all the gnu.regexp.* classes, and the JAR file
# make install: copies the JAR to your designated INSTALLDIR (see below)
# make applet: builds the demo applet and its JAR
# make utils: builds the gnu.regexp.util.* classes (requires gnu.getopt)
# make javadocs: build the source documentation
# make dist: build the distribution tar.gz file (requires GNU tar)
# make clean: deletes all class files and JARs
#
# You may need to edit some of the paths or compiler defaults below.

# This is the directory where .class files will be placed
LIBDIR = ../lib
LIBDIR32 = ..\lib

# Note that these conditional makefile statements require GNU make
# The special treatment for cygwin32 relies on the OSTYPE environment
# variable. Because the Cygwin tools are still in beta, it's been
# changing. This needs to be "cygwin32" for Beta 19 and higher beta versions,
# "win32" for earlier versions, and just "cygwin" for recent releases.
ifeq ($(OSTYPE),cygwin)
FSEP = \\
PSEP = ;
LIBPATH = $(LIBDIR32)
else
FSEP = /
PSEP = :
LIBPATH = $(LIBDIR)
endif

JAVAFLAGSCLASSPATH = -classpath ".$(PSEP)$(LIBPATH)$(PSEP)${CLASSPATH}"
GNUREGEXPPATH = gnu${FSEP}regexp${FSEP}
GNUREGEXPUTILPATH = ${GNUREGEXPPATH}util${FSEP}

# Change JAVAC variable to your java compiler.
# Change JAVAFLAGS variable to any java flags you want to compile with.

JAVAC = jikes
JAVAFLAGS = -O

#JAVAC = javac
#JAVAFLAGS = -O

JAVACOMPILE = $(JAVAC) -d "$(LIBPATH)" $(JAVAFLAGSCLASSPATH) $(JAVAFLAGS)

# This is the directory the gnu.regexp JAR file will be installed in when
# you do a 'make install'
INSTALLDIR = /usr/local/java/lib

# This is where the applet JAR goes
DOCSDIR = ../docs
# This is where the generated javadocs will go when you do a 'make javadocs'
APIDOCSDIR = ../docs/api

GNUREGEXPVERSION = 1.1.4

GNUREGEXPCORECLASSES = \
	$(LIBDIR)/gnu/regexp/RESyntax.class \
	$(LIBDIR)/gnu/regexp/CharIndexed.class \
	$(LIBDIR)/gnu/regexp/REMatch.class \
	$(LIBDIR)/gnu/regexp/REToken.class \
	$(LIBDIR)/gnu/regexp/REException.class \
	$(LIBDIR)/gnu/regexp/RETokenChar.class \
	$(LIBDIR)/gnu/regexp/RETokenRange.class \
	$(LIBDIR)/gnu/regexp/RETokenPOSIX.class \
	$(LIBDIR)/gnu/regexp/RETokenOneOf.class \
	$(LIBDIR)/gnu/regexp/RETokenAny.class \
	$(LIBDIR)/gnu/regexp/RETokenEndSub.class \
	$(LIBDIR)/gnu/regexp/RETokenWordBoundary.class \
	$(LIBDIR)/gnu/regexp/RETokenRepeated.class \
	$(LIBDIR)/gnu/regexp/RETokenBackRef.class \
	$(LIBDIR)/gnu/regexp/RETokenLookAhead.class \
	$(LIBDIR)/gnu/regexp/CharIndexedString.class \
	$(LIBDIR)/gnu/regexp/CharIndexedCharArray.class \
	$(LIBDIR)/gnu/regexp/CharIndexedStringBuffer.class \
	$(LIBDIR)/gnu/regexp/CharIndexedInputStream.class \
	$(LIBDIR)/gnu/regexp/CharIndexedReader.class \
	$(LIBDIR)/gnu/regexp/IntPair.class \
	$(LIBDIR)/gnu/regexp/CharUnit.class \
	$(LIBDIR)/gnu/regexp/RE.class \
	$(LIBDIR)/gnu/regexp/UncheckedRE.class \
	$(LIBDIR)/gnu/regexp/RETokenStart.class \
	$(LIBDIR)/gnu/regexp/RETokenEnd.class \
	$(LIBDIR)/gnu/regexp/REMatchEnumeration.class \
	$(LIBDIR)/gnu/regexp/MessagesBundle.properties

GNUREGEXPCLASSES = ${GNUREGEXPCORECLASSES} \
	$(LIBDIR)/gnu/regexp/REFilterInputStream.class \
	$(LIBDIR)/gnu/regexp/REFilterReader.class

GNUREGEXPUTILCLASSES = \
	$(LIBDIR)/gnu/regexp/util/Grep.class \
	$(LIBDIR)/gnu/regexp/util/Egrep.class \
	$(LIBDIR)/gnu/regexp/util/Tests.class \
	$(LIBDIR)/gnu/regexp/util/RETest.class

GNUREGEXPAPPLETCLASSES = ${GNUREGEXPCORECLASSES} \
	$(LIBDIR)/gnu/regexp/util/REApplet.class

gnu.regexp: $(GNUREGEXPCLASSES) $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar

all: gnu.regexp applet utils

applet: $(DOCSDIR)/gnu-regexp-applet.jar


install: $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar
	cp -f $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar ${INSTALLDIR}

utils: ${GNUREGEXPUTILCLASSES}

clean:
	rm -f ${GNUREGEXPCLASSES} ${GNUREGEXPUTILCLASSES} ${GNUREGEXPAPPLETCLASSES}
	rm -f $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar
	rm -f $(DOCSDIR)/gnu-regexp-applet.jar

GNUREGEXPDIR = gnu.regexp-${GNUREGEXPVERSION}

# This constitutes the official distribution
dist: $(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar
	rm -f ../.CONTENTS
	sed 's/^/$(GNUREGEXPDIR)\//' < ../CONTENTS > ../.CONTENTS
	cd ../..; tar cvzf $(GNUREGEXPDIR).tar.gz -T $(GNUREGEXPDIR)/.CONTENTS

javadocs:
	mkdir -p ${APIDOCSDIR}
	javadoc -d ${APIDOCSDIR} -author -version -public gnu.regexp gnu.regexp.util

$(LIBDIR)/gnu-regexp-${GNUREGEXPVERSION}.jar: ${GNUREGEXPCLASSES}
	cd $(LIBDIR); jar cvf gnu-regexp-${GNUREGEXPVERSION}.jar gnu/regexp/*.class gnu/regexp/*.properties

$(DOCSDIR)/gnu-regexp-applet.jar: ${GNUREGEXPCLASSES} $(LIBDIR)/gnu/regexp/util/REApplet.class
	cd $(LIBDIR); jar cvf gnu-regexp-applet.jar gnu/regexp/*.class gnu/regexp/*.properties gnu/regexp/util/REApplet.class; mv gnu-regexp-applet.jar $(DOCSDIR)

# Special rules for gnu.regexp.IntPair and gnu.regexp.CharUnit inner classes
#
$(LIBDIR)/gnu/regexp/IntPair.class $(LIBDIR)/gnu/regexp/CharUnit.class $(LIBDIR)/gnu/regexp/RE.class : gnu/regexp/RE.java

# Common rule for compiling a java file
$(LIBDIR)/gnu/regexp/%.class: gnu/regexp/%.java
	$(JAVACOMPILE) $<

# Properties files just get copied
$(LIBDIR)/gnu/regexp/%.properties: gnu/regexp/%.properties
	cp $< $@

=== debian/changelog ===
libgnu-regexp-java (1.1.4-4) unstable; urgency=low

  * Change Maintainer to Debian Java Maintainers.
  * Add myself to Uploaders.
  * Add Homepage and Vcs headers.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.
  * Change Section: java.
  * Clean up dependencies.
  * Switch to debhelper 7.
  * Convert d/copyright to dep5 format.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 May 2010 12:35:46 +0200

libgnu-regexp-java (1.1.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use default-jdk instead of jikes and kaffe. (Closes: #528055)

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Sep 2009 20:22:30 +0200

libgnu-regexp-java (1.1.4-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Adjust CLASSPATH to upstream kaffe changes (Closes: #348371).

 -- Luk Claes <luk@debian.org>  Wed, 25 Jan 2006 23:27:40 +0100

libgnu-regexp-java (1.1.4-3) unstable; urgency=low
  * Removed extra backup file (Closes: #325854).

 -- Kalle Kivimaa <killer@debian.org>  Wed, 31 Aug 2005 15:00:00 +0300

libgnu-regexp-java (1.1.4-2) unstable; urgency=low
  * Changed the maintainer email address to killer@debian.org.
  * Added the current maintainer address to the copyright file.
  * Updated the standards version to the current (3.6.1.0).

 -- Kalle Kivimaa <killer@debian.org>  Sun, 19 Oct 2003 11:00:00 +0200
  

libgnu-regexp-java (1.1.4-1) unstable; urgency=low

  * New maintainer (sponsored for Kalle Kivimaa <kalle.kivimaa@iki.fi>)
    closes: #174856
  * Jar package now correctly formed, closes: #117660
  * Missing gnu-regexp-applet.jar added, closes: #106642
  * Updated the package from upstream.
  * Added dependency to libgetopt-java as required by
  * the new upstream version.
  * Naming, dependencies, and packaging changed to conform with
    the Debian policy for Java.
  * Package changed to conform with the latest policy (3.5.8).
  * README.Debian updated.
  * control, changelog, postinst, prerm, copyright cleanup
    to remove lintian complaints.

 -- Takashi Okamoto <tora@debian.org>  Sun,  9 Feb 2003 08:34:49 +0900

libgnu-regexp-java (1.1.1-1) unstable; urgency=low

  * New maintainer, closes: #92819.
  * New upstream release.
  * Index bug fixed by upstream, closes: #67153.
  * Repackaged reusing some parts of the original package.
  * Now suggests lib-gnu.getopt-java, closes: #62031.
  * Implement /usr/share/doc transition plan, closes: #91531.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  5 Apr 2001 21:23:58 +0300

libgnu-regexp-java (1.0.8-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 13:38:08 +0200

=== debian/control ===
Source: libgnu-regexp-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kalle Kivimaa <killer@debian.org>, Torsten Werner <twerner@debian.org>
Standards-Version: 3.8.4
Build-Depends-Indep: default-jdk, lynx (>= 2.8.4), libgetopt-java (>= 1.0.9-8)
Build-Depends: debhelper (>= 7.0.50~)
Homepage: http://savannah.gnu.org/projects/gnu-regexp
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgnu-regexp-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgnu-regexp-java/

Package: libgnu-regexp-java
Architecture: all
Depends: libgetopt-java, ${misc:Depends}
Description: Regular Expressions for Java
 The gnu-regexp package is a pure-Java implementation of a traditional 
 (non-POSIX) NFA regular expression engine. Its syntax can emulate many 
 popular development tools, including awk, sed, emacs, perl and grep.

=== debian/rules ===
#!/usr/bin/make -f

export CLASSPATH=.:/usr/share/java/gnu-getopt.jar

%:
	dh $@

override_dh_auto_clean:
	find . -name '*.jar' -delete
	$(RM) -rf lib/* docs/changelog

override_dh_auto_build:
	$(MAKE) -C src JAVAC=javac gnu.regexp utils
	cd lib && jar uf gnu-regexp-1.1.4.jar gnu/regexp/util/*.class
	lynx -dump -nolist docs/changes.html > docs/changelog
